apiConnectorLatest
QueryKey requiredShop API: the newest release of this key’s connector (channel from the argument, default stable), compared with the version in the User-Agent, with a fresh 10-minute download link. Custom keys get NOT_FOUND.
Arguments
| Name | Type | Description |
|---|---|---|
| channel | ConnectorReleaseChannel |
Returns
Example
query ApiConnectorLatest($channel: ConnectorReleaseChannel) {
apiConnectorLatest(channel: $channel) {
appCode
download {
expiresAt
fileName
sha256
sizeBytes
url
version
}
installedVersion
installedYanked
latest {
appCode
appId
channel
createdAt
fileName
hasSbom
id
minApiVersion
publishedAt
sha256
sizeBytes
status
verificationError
version
yankReason
}
minSupportedVersion
updateAvailable
upgradeRequired
yankReason
}
}curl -sS https://api.wamia.tn/connect/graphql \
-H 'content-type: application/json' \
-H 'x-api-key: wamia_…' \
-H 'user-agent: my-integration/1.0.0 (+https://shop.example.tn)' \
-H 'wamia-idempotency-key: 6f0e1a2b-…' \
--data '{"query":"query ApiConnectorLatest($channel: ConnectorReleaseChannel) { apiConnectorLatest(channel: $channel) { appCode download { expiresAt fileName sha256 sizeBytes url version } installedVersion installedYanked latest { appCode appId channel createdAt fileName hasSbom id minApiVersion publishedAt sha256 sizeBytes status verificationError version yankReason } minSupportedVersion updateAvailable upgradeRequired yankReason } }"}'